Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.v2
Class AssignGeneratorMessages

    java.lang.Object
      java.util.ResourceBundle
          org.apache.ode.utils.msg.MessageBundle
              org.apache.ode.bpel.compiler.api.CompilationMessageBundle
                  org.apache.ode.bpel.compiler.v2.AssignGeneratorMessages

    public class AssignGeneratorMessages

extends CompilationMessageBundle

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`AssignGeneratorMessages()`

Method Summary
`CompilationMessage` | `errCopyFromMessageToNonMessage(java.lang.String rval)` Copy from message variable {0} requires a message for the l-value.
`CompilationMessage` | `errCopyFromUndeclaredPartnerRole(java.lang.String rval, java.lang.String epr)` Copy from partner link {0} with enpoint reference {1} requires the corresponding role to be defined on partner link.
`CompilationMessage` | `errCopyToMessageFromNonMessage(java.lang.String lval)` Copy to message variable {0} requires a message for the r-value.
`CompilationMessage` | `errCopyToUndeclaredPartnerRole(java.lang.String lval)` Copy to partner link {0} requires the partnerRole to be defined on partner link.
`CompilationMessage` | `errExtensibleAssignNotSupported()` Draft extensibleAssign is not supported.
`CompilationMessage` | `errMismatchedMessageAssignment(java.lang.String lvar, javax.xml.namespace.QName tlvalue, java.lang.String rval, javax.xml.namespace.QName trvalue)` Copy to message variable {0} of type {1} from message {2} of type {3} is not permitted (the message types do not match).
`CompilationMessage` | `errMissingExtensionAssignOperationElement()` ExtensionAssignOperation's nested element missing
`CompilationMessage` | `errMissingFromSpec()` Copy missing from-spec.
`CompilationMessage` | `errMissingToSpec()` Copy missing to-spec.
`CompilationMessage` | `errUndeclaredExtensionAssignOperation()` ExtensionAssignOperation's nested element missing
`CompilationMessage` | `errUnknownToSpec()` To-spec format is unrecognized.
`CompilationMessage` | `errUnkownFromSpec()` From-spec format is unrecognized.

Methods inherited from class org.apache.ode.bpel.compiler.api.CompilationMessageBundle
`formatCompilationMessage`

Methods inherited from class org.apache.ode.utils.msg.MessageBundle
`format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssignGeneratorMessages

    public AssignGeneratorMessages()

Method Detail

### errMissingFromSpec

    public CompilationMessage errMissingFromSpec()

  Copy missing from-spec.

### errCopyToMessageFromNonMessage

    public CompilationMessage errCopyToMessageFromNonMessage(java.lang.String lval)

  Copy to message variable {0} requires a message for the r-value.

### errCopyFromMessageToNonMessage

    public CompilationMessage errCopyFromMessageToNonMessage(java.lang.String rval)

  Copy from message variable {0} requires a message for the l-value.

### errMismatchedMessageAssignment

    public CompilationMessage errMismatchedMessageAssignment(java.lang.String lvar,
                                                             javax.xml.namespace.QName tlvalue,
                                                             java.lang.String rval,
                                                             javax.xml.namespace.QName trvalue)

  Copy to message variable {0} of type {1} from message {2} of type {3} is not permitted (the message types do not match).

### errCopyToUndeclaredPartnerRole

    public CompilationMessage errCopyToUndeclaredPartnerRole(java.lang.String lval)

  Copy to partner link {0} requires the partnerRole to be defined on partner link.

### errCopyFromUndeclaredPartnerRole

    public CompilationMessage errCopyFromUndeclaredPartnerRole(java.lang.String rval,
                                                               java.lang.String epr)

  Copy from partner link {0} with enpoint reference {1} requires the corresponding role to be defined on partner link.

### errMissingToSpec

    public CompilationMessage errMissingToSpec()

  Copy missing to-spec.

### errUnkownFromSpec

    public CompilationMessage errUnkownFromSpec()

  From-spec format is unrecognized.

### errUnknownToSpec

    public CompilationMessage errUnknownToSpec()

  To-spec format is unrecognized.

### errMissingExtensionAssignOperationElement

    public CompilationMessage errMissingExtensionAssignOperationElement()

  ExtensionAssignOperation's nested element missing

### errUndeclaredExtensionAssignOperation

    public CompilationMessage errUndeclaredExtensionAssignOperation()

  ExtensionAssignOperation's nested element missing

### errExtensibleAssignNotSupported

    public CompilationMessage errExtensibleAssignNotSupported()

  Draft extensibleAssign is not supported.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD